Click here to Skip to main content
15,918,596 members
Please Sign up or sign in to vote.
0.00/5 (No votes)
See more:
I added .net framework 4 to my setup package as a prerequisite, when installing this package an error reports that installing .net 4 require WIC "windows imaging component" ,which I've added as a prerequisite also.

but installation failed due to a newer version of this component already installed.

I want to ask how to check whether this WIC is installed or not and skip installing it when there is a newer version?

thanks
Posted

1 solution

The installer for the prerequisite is what should be doing the checking, not your installer.
 
Share this answer
 
Comments
hadad 25-Dec-11 9:46am    
How it will check there is an xml file for the prerequisite

<Product
xmlns="http://schemas.microsoft.com/developer/2004/01/bootstrapper"
ProductCode="Custom.Bootstrapper.Package">

<!-- Defines list of files to be copied on build -->
<PackageFiles>
<PackageFile Name="wic_x86_enu.exe"/>
</PackageFiles>
<!-- Defines how to invoke the setup for the Windows installer 3.1 redist -->
<commands>
<command packagefile="wic_x86_enu.exe" arguments="" />
<installchecks>
<msiproductcheck property="IsMsiInstalled" product="‎61 46 9e cb 00 04 00 00 00 65">

<installconditions>
<bypassif property="IsMsiInstalled" compare="ValueGreaterThan" value="1">
<failif property="AdminUser" compare="ValueNotEqualTo" value="True" string="NotAnAdmin">

<exitcodes>
<exitcode value="0" result="Success">
<exitcode value="1641" result="SuccessReboot">
<exitcode value="3010" result="SuccessReboot">
<defaultexitcode result="Fail" string="GeneralFailure">


</Product>
#realJSOP 25-Dec-11 10:32am    
You apparently have no idea how software installers work. I recommend that you do some research.

This content, along with any associated source code and files, is licensed under The Code Project Open License (CPOL)



CodeProject, 20 Bay Street, 11th Floor Toronto, Ontario, Canada M5J 2N8 +1 (416) 849-8900